🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Match Making Percentage

Get match percentage
POSThttps://json.astrologyapi.com/v1/match_percentage

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

m_dayintrequired

Day of birth, eg: 10

m_monthintrequired

Month of birth, eg: 5

m_yearintrequired

Year of birth, eg: 1990

m_hourintrequired

Hour of birth, eg: 11

m_minintrequired

Minute of birth, eg: 55

m_latfloatrequired

Latitude, eg: 19.2056

m_lonfloatrequired

Longitude, eg: 25.2056

m_tzonefloatrequired

Timezone, eg: 5.5

f_dayintrequired

Day of birth, eg: 10

f_monthintrequired

Month of birth, eg: 5

f_yearintrequired

Year of birth, eg: 1990

f_hourintrequired

Hour of birth, eg: 11

f_minintrequired

Minute of birth, eg: 55

f_latfloatrequired

Latitude, eg: 19.2056

f_lonfloatrequired

Longitude, eg: 25.2056

f_tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/match_percentage' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "m_day": 10,
    "m_month": 5,
    "m_year": 1990,
    "m_hour": 11,
    "m_min": 55,
    "m_lat": 19.2056,
    "m_lon": 25.2056,
    "m_tzone": 5.5,
    "f_day": 10,
    "f_month": 5,
    "f_year": 1990,
    "f_hour": 11,
    "f_min": 55,
    "f_lat": 19.2056,
    "f_lon": 25.2056,
    "f_tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "ashtakoota_percentage": 58,
  "manglik_match_percentage": 85,
  "rajju_match_percentage": 100,
  "vedha_match_percentage": 100,
  "match_percentage": 79,
  "is_match_good": true
}